<?php

// Global variable for table object
$Urgencias = NULL;

//
// Table class for Urgencias
//
class cUrgencias extends cTable {
	var $Numero_Factura;
	var $Codigo_prestador;
	var $Tipo_identificacion_us;
	var $Numero_identificacion_us;
	var $Fecha_ingreso;
	var $Hora_ingreso;
	var $Numero_Autorizacion;
	var $Causa_externa;
	var $Diagnostico_salida;
	var $Diagnostico_rel1;
	var $Diagnostico_rel2;
	var $Diagnostico_rel3;
	var $Destino_usuario;
	var $Estado_salida;
	var $Causa_basica_muerte;
	var $Fecha_salida_usuar;
	var $Hora_salida;
	var $Codigo_tres;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'Urgencias';
		$this->TableName = 'Urgencias';
		$this->TableType = 'TABLE';

		// Update Table
		$this->UpdateTable = "`Urgencias`";
		$this->DBID = 'DB';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->ExportExcelPageOrientation = ""; // Page orientation (PHPExcel only)
		$this->ExportExcelPageSize = ""; // Page size (PHPExcel only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->DetailView = FALSE; // Allow detail view
		$this->ShowMultipleDetails = FALSE; // Show multiple details
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row
		$this->UserIDAllowSecurity = 0; // User ID Allow
		$this->BasicSearch = new cBasicSearch($this->TableVar);

		// Numero_Factura
		$this->Numero_Factura = new cField('Urgencias', 'Urgencias', 'x_Numero_Factura', 'Numero_Factura', '`Numero_Factura`', '`Numero_Factura`', 200, -1, FALSE, '`Numero_Factura`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Numero_Factura'] = &$this->Numero_Factura;

		// Codigo_prestador
		$this->Codigo_prestador = new cField('Urgencias', 'Urgencias', 'x_Codigo_prestador', 'Codigo_prestador', '`Codigo_prestador`', '`Codigo_prestador`', 200, -1, FALSE, '`Codigo_prestador`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Codigo_prestador'] = &$this->Codigo_prestador;

		// Tipo_identificacion_us
		$this->Tipo_identificacion_us = new cField('Urgencias', 'Urgencias', 'x_Tipo_identificacion_us', 'Tipo_identificacion_us', '`Tipo_identificacion_us`', '`Tipo_identificacion_us`', 200, -1, FALSE, '`Tipo_identificacion_us`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Tipo_identificacion_us'] = &$this->Tipo_identificacion_us;

		// Numero_identificacion_us
		$this->Numero_identificacion_us = new cField('Urgencias', 'Urgencias', 'x_Numero_identificacion_us', 'Numero_identificacion_us', '`Numero_identificacion_us`', '`Numero_identificacion_us`', 200, -1, FALSE, '`Numero_identificacion_us`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Numero_identificacion_us'] = &$this->Numero_identificacion_us;

		// Fecha_ingreso
		$this->Fecha_ingreso = new cField('Urgencias', 'Urgencias', 'x_Fecha_ingreso', 'Fecha_ingreso', '`Fecha_ingreso`', '`Fecha_ingreso`', 200, -1, FALSE, '`Fecha_ingreso`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Fecha_ingreso'] = &$this->Fecha_ingreso;

		// Hora_ingreso
		$this->Hora_ingreso = new cField('Urgencias', 'Urgencias', 'x_Hora_ingreso', 'Hora_ingreso', '`Hora_ingreso`', '`Hora_ingreso`', 200, -1, FALSE, '`Hora_ingreso`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Hora_ingreso'] = &$this->Hora_ingreso;

		// Numero_Autorizacion
		$this->Numero_Autorizacion = new cField('Urgencias', 'Urgencias', 'x_Numero_Autorizacion', 'Numero_Autorizacion', '`Numero_Autorizacion`', '`Numero_Autorizacion`', 200, -1, FALSE, '`Numero_Autorizacion`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Numero_Autorizacion'] = &$this->Numero_Autorizacion;

		// Causa_externa
		$this->Causa_externa = new cField('Urgencias', 'Urgencias', 'x_Causa_externa', 'Causa_externa', '`Causa_externa`', '`Causa_externa`', 3, -1, FALSE, '`Causa_externa`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Causa_externa->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Causa_externa'] = &$this->Causa_externa;

		// Diagnostico_salida
		$this->Diagnostico_salida = new cField('Urgencias', 'Urgencias', 'x_Diagnostico_salida', 'Diagnostico_salida', '`Diagnostico_salida`', '`Diagnostico_salida`', 200, -1, FALSE, '`Diagnostico_salida`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Diagnostico_salida'] = &$this->Diagnostico_salida;

		// Diagnostico_rel1
		$this->Diagnostico_rel1 = new cField('Urgencias', 'Urgencias', 'x_Diagnostico_rel1', 'Diagnostico_rel1', '`Diagnostico_rel1`', '`Diagnostico_rel1`', 200, -1, FALSE, '`Diagnostico_rel1`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Diagnostico_rel1'] = &$this->Diagnostico_rel1;

		// Diagnostico_rel2
		$this->Diagnostico_rel2 = new cField('Urgencias', 'Urgencias', 'x_Diagnostico_rel2', 'Diagnostico_rel2', '`Diagnostico_rel2`', '`Diagnostico_rel2`', 200, -1, FALSE, '`Diagnostico_rel2`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Diagnostico_rel2'] = &$this->Diagnostico_rel2;

		// Diagnostico_rel3
		$this->Diagnostico_rel3 = new cField('Urgencias', 'Urgencias', 'x_Diagnostico_rel3', 'Diagnostico_rel3', '`Diagnostico_rel3`', '`Diagnostico_rel3`', 200, -1, FALSE, '`Diagnostico_rel3`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Diagnostico_rel3'] = &$this->Diagnostico_rel3;

		// Destino_usuario
		$this->Destino_usuario = new cField('Urgencias', 'Urgencias', 'x_Destino_usuario', 'Destino_usuario', '`Destino_usuario`', '`Destino_usuario`', 3, -1, FALSE, '`Destino_usuario`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Destino_usuario->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Destino_usuario'] = &$this->Destino_usuario;

		// Estado_salida
		$this->Estado_salida = new cField('Urgencias', 'Urgencias', 'x_Estado_salida', 'Estado_salida', '`Estado_salida`', '`Estado_salida`', 3, -1, FALSE, '`Estado_salida`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Estado_salida->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Estado_salida'] = &$this->Estado_salida;

		// Causa_basica_muerte
		$this->Causa_basica_muerte = new cField('Urgencias', 'Urgencias', 'x_Causa_basica_muerte', 'Causa_basica_muerte', '`Causa_basica_muerte`', '`Causa_basica_muerte`', 200, -1, FALSE, '`Causa_basica_muerte`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Causa_basica_muerte'] = &$this->Causa_basica_muerte;

		// Fecha_salida_usuar
		$this->Fecha_salida_usuar = new cField('Urgencias', 'Urgencias', 'x_Fecha_salida_usuar', 'Fecha_salida_usuar', '`Fecha_salida_usuar`', '`Fecha_salida_usuar`', 200, -1, FALSE, '`Fecha_salida_usuar`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Fecha_salida_usuar'] = &$this->Fecha_salida_usuar;

		// Hora_salida
		$this->Hora_salida = new cField('Urgencias', 'Urgencias', 'x_Hora_salida', 'Hora_salida', '`Hora_salida`', '`Hora_salida`', 200, -1, FALSE, '`Hora_salida`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Hora_salida'] = &$this->Hora_salida;

		// Codigo_tres
		$this->Codigo_tres = new cField('Urgencias', 'Urgencias', 'x_Codigo_tres', 'Codigo_tres', '`Codigo_tres`', '`Codigo_tres`', 200, -1, FALSE, '`Codigo_tres`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Codigo_tres'] = &$this->Codigo_tres;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	var $_SqlFrom = "";

	function getSqlFrom() { // From
		return ($this->_SqlFrom <> "") ? $this->_SqlFrom : "`Urgencias`";
	}

	function SqlFrom() { // For backward compatibility
    	return $this->getSqlFrom();
	}

	function setSqlFrom($v) {
    	$this->_SqlFrom = $v;
	}
	var $_SqlSelect = "";

	function getSqlSelect() { // Select
		return ($this->_SqlSelect <> "") ? $this->_SqlSelect : "SELECT * FROM " . $this->getSqlFrom();
	}

	function SqlSelect() { // For backward compatibility
    	return $this->getSqlSelect();
	}

	function setSqlSelect($v) {
    	$this->_SqlSelect = $v;
	}
	var $_SqlWhere = "";

	function getSqlWhere() { // Where
		$sWhere = ($this->_SqlWhere <> "") ? $this->_SqlWhere : "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlWhere() { // For backward compatibility
    	return $this->getSqlWhere();
	}

	function setSqlWhere($v) {
    	$this->_SqlWhere = $v;
	}
	var $_SqlGroupBy = "";

	function getSqlGroupBy() { // Group By
		return ($this->_SqlGroupBy <> "") ? $this->_SqlGroupBy : "";
	}

	function SqlGroupBy() { // For backward compatibility
    	return $this->getSqlGroupBy();
	}

	function setSqlGroupBy($v) {
    	$this->_SqlGroupBy = $v;
	}
	var $_SqlHaving = "";

	function getSqlHaving() { // Having
		return ($this->_SqlHaving <> "") ? $this->_SqlHaving : "";
	}

	function SqlHaving() { // For backward compatibility
    	return $this->getSqlHaving();
	}

	function setSqlHaving($v) {
    	$this->_SqlHaving = $v;
	}
	var $_SqlOrderBy = "";

	function getSqlOrderBy() { // Order By
		return ($this->_SqlOrderBy <> "") ? $this->_SqlOrderBy : "";
	}

	function SqlOrderBy() { // For backward compatibility
    	return $this->getSqlOrderBy();
	}

	function setSqlOrderBy($v) {
    	$this->_SqlOrderBy = $v;
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		$allow = EW_USER_ID_ALLOW;
		switch ($id) {
			case "add":
			case "copy":
			case "gridadd":
			case "register":
			case "addopt":
				return (($allow & 1) == 1);
			case "edit":
			case "gridedit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return (($allow & 4) == 4);
			case "delete":
				return (($allow & 2) == 2);
			case "view":
				return (($allow & 32) == 32);
			case "search":
				return (($allow & 64) == 64);
			default:
				return (($allow & 8) == 8);
		}
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(),
			$this->getSqlGroupBy(), $this->getSqlHaving(), $this->getSqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(),
			$this->getSqlGroupBy(), $this->getSqlHaving(), $this->getSqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$this->Recordset_Selecting($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(), $this->getSqlGroupBy(),
			$this->getSqlHaving(), $this->getSqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->getSqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		$cnt = -1;
		if (($this->TableType == 'TABLE' || $this->TableType == 'VIEW' || $this->TableType == 'LINKTABLE') && preg_match("/^SELECT \* FROM/i", $sSql)) {
			$sSql = "SELECT COUNT(*) FROM" . preg_replace('/^SELECT\s([\s\S]+)?\*\sFROM/i', "", $sSql);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		$conn = &$this->Connection();
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			$conn = &$this->Connection();
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// INSERT statement
	function InsertSQL(&$rs) {
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]) || $this->fields[$name]->FldIsCustom)
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType, $this->DBID) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		$conn = &$this->Connection();
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "", $curfilter = TRUE) {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]) || $this->fields[$name]->FldIsCustom)
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType, $this->DBID) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = ($curfilter) ? $this->CurrentFilter : "";
		if (is_array($where))
			$where = $this->ArrayToFilter($where);
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "", $rsold = NULL, $curfilter = TRUE) {
		$conn = &$this->Connection();
		return $conn->Execute($this->UpdateSQL($rs, $where, $curfilter));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "", $curfilter = TRUE) {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if (is_array($where))
			$where = $this->ArrayToFilter($where);
		if ($rs) {
		}
		$filter = ($curfilter) ? $this->CurrentFilter : "";
		ew_AddFilter($filter, $where);
		if ($filter <> "")
			$sql .= $filter;
		else
			$sql .= "0=1"; // Avoid delete
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "", $curfilter = TRUE) {
		$conn = &$this->Connection();
		return $conn->Execute($this->DeleteSQL($rs, $where, $curfilter));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "Urgenciaslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "Urgenciaslist.php";
	}

	// View URL
	function GetViewUrl($parm = "") {
		if ($parm <> "")
			$url = $this->KeyUrl("Urgenciasview.php", $this->UrlParm($parm));
		else
			$url = $this->KeyUrl("Urgenciasview.php", $this->UrlParm(EW_TABLE_SHOW_DETAIL . "="));
		return $this->AddMasterUrl($url);
	}

	// Add URL
	function GetAddUrl($parm = "") {
		if ($parm <> "")
			$url = "Urgenciasadd.php?" . $this->UrlParm($parm);
		else
			$url = "Urgenciasadd.php";
		return $this->AddMasterUrl($url);
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		$url = $this->KeyUrl("Urgenciasedit.php", $this->UrlParm($parm));
		return $this->AddMasterUrl($url);
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		$url = $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
		return $this->AddMasterUrl($url);
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		$url = $this->KeyUrl("Urgenciasadd.php", $this->UrlParm($parm));
		return $this->AddMasterUrl($url);
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		$url = $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
		return $this->AddMasterUrl($url);
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("Urgenciasdelete.php", $this->UrlParm());
	}

	// Add master url
	function AddMasterUrl($url) {
		return $url;
	}

	function KeyToJson() {
		$json = "";
		return "{" . $json . "}";
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&amp;ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (!empty($_GET) || !empty($_POST)) {
			$isPost = ew_IsHttpPost();

			//return $arKeys; // Do not return yet, so the values will also be checked by the following code
		}

		// Check keys
		$ar = array();
		if (is_array($arKeys)) {
			foreach ($arKeys as $key) {
				$ar[] = $key;
			}
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$conn = &$this->Connection();
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->Numero_Factura->setDbValue($rs->fields('Numero_Factura'));
		$this->Codigo_prestador->setDbValue($rs->fields('Codigo_prestador'));
		$this->Tipo_identificacion_us->setDbValue($rs->fields('Tipo_identificacion_us'));
		$this->Numero_identificacion_us->setDbValue($rs->fields('Numero_identificacion_us'));
		$this->Fecha_ingreso->setDbValue($rs->fields('Fecha_ingreso'));
		$this->Hora_ingreso->setDbValue($rs->fields('Hora_ingreso'));
		$this->Numero_Autorizacion->setDbValue($rs->fields('Numero_Autorizacion'));
		$this->Causa_externa->setDbValue($rs->fields('Causa_externa'));
		$this->Diagnostico_salida->setDbValue($rs->fields('Diagnostico_salida'));
		$this->Diagnostico_rel1->setDbValue($rs->fields('Diagnostico_rel1'));
		$this->Diagnostico_rel2->setDbValue($rs->fields('Diagnostico_rel2'));
		$this->Diagnostico_rel3->setDbValue($rs->fields('Diagnostico_rel3'));
		$this->Destino_usuario->setDbValue($rs->fields('Destino_usuario'));
		$this->Estado_salida->setDbValue($rs->fields('Estado_salida'));
		$this->Causa_basica_muerte->setDbValue($rs->fields('Causa_basica_muerte'));
		$this->Fecha_salida_usuar->setDbValue($rs->fields('Fecha_salida_usuar'));
		$this->Hora_salida->setDbValue($rs->fields('Hora_salida'));
		$this->Codigo_tres->setDbValue($rs->fields('Codigo_tres'));
	}

	// Render list row values
	function RenderListRow() {
		global $Security, $gsLanguage, $Language;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// Numero_Factura
		// Codigo_prestador
		// Tipo_identificacion_us
		// Numero_identificacion_us
		// Fecha_ingreso
		// Hora_ingreso
		// Numero_Autorizacion
		// Causa_externa
		// Diagnostico_salida
		// Diagnostico_rel1
		// Diagnostico_rel2
		// Diagnostico_rel3
		// Destino_usuario
		// Estado_salida
		// Causa_basica_muerte
		// Fecha_salida_usuar
		// Hora_salida
		// Codigo_tres
		// Numero_Factura

		$this->Numero_Factura->ViewValue = $this->Numero_Factura->CurrentValue;
		$this->Numero_Factura->ViewCustomAttributes = "";

		// Codigo_prestador
		$this->Codigo_prestador->ViewValue = $this->Codigo_prestador->CurrentValue;
		$this->Codigo_prestador->ViewCustomAttributes = "";

		// Tipo_identificacion_us
		$this->Tipo_identificacion_us->ViewValue = $this->Tipo_identificacion_us->CurrentValue;
		$this->Tipo_identificacion_us->ViewCustomAttributes = "";

		// Numero_identificacion_us
		$this->Numero_identificacion_us->ViewValue = $this->Numero_identificacion_us->CurrentValue;
		$this->Numero_identificacion_us->ViewCustomAttributes = "";

		// Fecha_ingreso
		$this->Fecha_ingreso->ViewValue = $this->Fecha_ingreso->CurrentValue;
		$this->Fecha_ingreso->ViewCustomAttributes = "";

		// Hora_ingreso
		$this->Hora_ingreso->ViewValue = $this->Hora_ingreso->CurrentValue;
		$this->Hora_ingreso->ViewCustomAttributes = "";

		// Numero_Autorizacion
		$this->Numero_Autorizacion->ViewValue = $this->Numero_Autorizacion->CurrentValue;
		$this->Numero_Autorizacion->ViewCustomAttributes = "";

		// Causa_externa
		$this->Causa_externa->ViewValue = $this->Causa_externa->CurrentValue;
		$this->Causa_externa->ViewCustomAttributes = "";

		// Diagnostico_salida
		$this->Diagnostico_salida->ViewValue = $this->Diagnostico_salida->CurrentValue;
		$this->Diagnostico_salida->ViewCustomAttributes = "";

		// Diagnostico_rel1
		$this->Diagnostico_rel1->ViewValue = $this->Diagnostico_rel1->CurrentValue;
		$this->Diagnostico_rel1->ViewCustomAttributes = "";

		// Diagnostico_rel2
		$this->Diagnostico_rel2->ViewValue = $this->Diagnostico_rel2->CurrentValue;
		$this->Diagnostico_rel2->ViewCustomAttributes = "";

		// Diagnostico_rel3
		$this->Diagnostico_rel3->ViewValue = $this->Diagnostico_rel3->CurrentValue;
		$this->Diagnostico_rel3->ViewCustomAttributes = "";

		// Destino_usuario
		$this->Destino_usuario->ViewValue = $this->Destino_usuario->CurrentValue;
		$this->Destino_usuario->ViewCustomAttributes = "";

		// Estado_salida
		$this->Estado_salida->ViewValue = $this->Estado_salida->CurrentValue;
		$this->Estado_salida->ViewCustomAttributes = "";

		// Causa_basica_muerte
		$this->Causa_basica_muerte->ViewValue = $this->Causa_basica_muerte->CurrentValue;
		$this->Causa_basica_muerte->ViewCustomAttributes = "";

		// Fecha_salida_usuar
		$this->Fecha_salida_usuar->ViewValue = $this->Fecha_salida_usuar->CurrentValue;
		$this->Fecha_salida_usuar->ViewCustomAttributes = "";

		// Hora_salida
		$this->Hora_salida->ViewValue = $this->Hora_salida->CurrentValue;
		$this->Hora_salida->ViewCustomAttributes = "";

		// Codigo_tres
		$this->Codigo_tres->ViewValue = $this->Codigo_tres->CurrentValue;
		$this->Codigo_tres->ViewCustomAttributes = "";

		// Numero_Factura
		$this->Numero_Factura->LinkCustomAttributes = "";
		$this->Numero_Factura->HrefValue = "";
		$this->Numero_Factura->TooltipValue = "";

		// Codigo_prestador
		$this->Codigo_prestador->LinkCustomAttributes = "";
		$this->Codigo_prestador->HrefValue = "";
		$this->Codigo_prestador->TooltipValue = "";

		// Tipo_identificacion_us
		$this->Tipo_identificacion_us->LinkCustomAttributes = "";
		$this->Tipo_identificacion_us->HrefValue = "";
		$this->Tipo_identificacion_us->TooltipValue = "";

		// Numero_identificacion_us
		$this->Numero_identificacion_us->LinkCustomAttributes = "";
		$this->Numero_identificacion_us->HrefValue = "";
		$this->Numero_identificacion_us->TooltipValue = "";

		// Fecha_ingreso
		$this->Fecha_ingreso->LinkCustomAttributes = "";
		$this->Fecha_ingreso->HrefValue = "";
		$this->Fecha_ingreso->TooltipValue = "";

		// Hora_ingreso
		$this->Hora_ingreso->LinkCustomAttributes = "";
		$this->Hora_ingreso->HrefValue = "";
		$this->Hora_ingreso->TooltipValue = "";

		// Numero_Autorizacion
		$this->Numero_Autorizacion->LinkCustomAttributes = "";
		$this->Numero_Autorizacion->HrefValue = "";
		$this->Numero_Autorizacion->TooltipValue = "";

		// Causa_externa
		$this->Causa_externa->LinkCustomAttributes = "";
		$this->Causa_externa->HrefValue = "";
		$this->Causa_externa->TooltipValue = "";

		// Diagnostico_salida
		$this->Diagnostico_salida->LinkCustomAttributes = "";
		$this->Diagnostico_salida->HrefValue = "";
		$this->Diagnostico_salida->TooltipValue = "";

		// Diagnostico_rel1
		$this->Diagnostico_rel1->LinkCustomAttributes = "";
		$this->Diagnostico_rel1->HrefValue = "";
		$this->Diagnostico_rel1->TooltipValue = "";

		// Diagnostico_rel2
		$this->Diagnostico_rel2->LinkCustomAttributes = "";
		$this->Diagnostico_rel2->HrefValue = "";
		$this->Diagnostico_rel2->TooltipValue = "";

		// Diagnostico_rel3
		$this->Diagnostico_rel3->LinkCustomAttributes = "";
		$this->Diagnostico_rel3->HrefValue = "";
		$this->Diagnostico_rel3->TooltipValue = "";

		// Destino_usuario
		$this->Destino_usuario->LinkCustomAttributes = "";
		$this->Destino_usuario->HrefValue = "";
		$this->Destino_usuario->TooltipValue = "";

		// Estado_salida
		$this->Estado_salida->LinkCustomAttributes = "";
		$this->Estado_salida->HrefValue = "";
		$this->Estado_salida->TooltipValue = "";

		// Causa_basica_muerte
		$this->Causa_basica_muerte->LinkCustomAttributes = "";
		$this->Causa_basica_muerte->HrefValue = "";
		$this->Causa_basica_muerte->TooltipValue = "";

		// Fecha_salida_usuar
		$this->Fecha_salida_usuar->LinkCustomAttributes = "";
		$this->Fecha_salida_usuar->HrefValue = "";
		$this->Fecha_salida_usuar->TooltipValue = "";

		// Hora_salida
		$this->Hora_salida->LinkCustomAttributes = "";
		$this->Hora_salida->HrefValue = "";
		$this->Hora_salida->TooltipValue = "";

		// Codigo_tres
		$this->Codigo_tres->LinkCustomAttributes = "";
		$this->Codigo_tres->HrefValue = "";
		$this->Codigo_tres->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Render edit row values
	function RenderEditRow() {
		global $Security, $gsLanguage, $Language;

		// Call Row Rendering event
		$this->Row_Rendering();

		// Numero_Factura
		$this->Numero_Factura->EditAttrs["class"] = "form-control";
		$this->Numero_Factura->EditCustomAttributes = "";
		$this->Numero_Factura->EditValue = $this->Numero_Factura->CurrentValue;
		$this->Numero_Factura->PlaceHolder = ew_RemoveHtml($this->Numero_Factura->FldCaption());

		// Codigo_prestador
		$this->Codigo_prestador->EditAttrs["class"] = "form-control";
		$this->Codigo_prestador->EditCustomAttributes = "";
		$this->Codigo_prestador->EditValue = $this->Codigo_prestador->CurrentValue;
		$this->Codigo_prestador->PlaceHolder = ew_RemoveHtml($this->Codigo_prestador->FldCaption());

		// Tipo_identificacion_us
		$this->Tipo_identificacion_us->EditAttrs["class"] = "form-control";
		$this->Tipo_identificacion_us->EditCustomAttributes = "";
		$this->Tipo_identificacion_us->EditValue = $this->Tipo_identificacion_us->CurrentValue;
		$this->Tipo_identificacion_us->PlaceHolder = ew_RemoveHtml($this->Tipo_identificacion_us->FldCaption());

		// Numero_identificacion_us
		$this->Numero_identificacion_us->EditAttrs["class"] = "form-control";
		$this->Numero_identificacion_us->EditCustomAttributes = "";
		$this->Numero_identificacion_us->EditValue = $this->Numero_identificacion_us->CurrentValue;
		$this->Numero_identificacion_us->PlaceHolder = ew_RemoveHtml($this->Numero_identificacion_us->FldCaption());

		// Fecha_ingreso
		$this->Fecha_ingreso->EditAttrs["class"] = "form-control";
		$this->Fecha_ingreso->EditCustomAttributes = "";
		$this->Fecha_ingreso->EditValue = $this->Fecha_ingreso->CurrentValue;
		$this->Fecha_ingreso->PlaceHolder = ew_RemoveHtml($this->Fecha_ingreso->FldCaption());

		// Hora_ingreso
		$this->Hora_ingreso->EditAttrs["class"] = "form-control";
		$this->Hora_ingreso->EditCustomAttributes = "";
		$this->Hora_ingreso->EditValue = $this->Hora_ingreso->CurrentValue;
		$this->Hora_ingreso->PlaceHolder = ew_RemoveHtml($this->Hora_ingreso->FldCaption());

		// Numero_Autorizacion
		$this->Numero_Autorizacion->EditAttrs["class"] = "form-control";
		$this->Numero_Autorizacion->EditCustomAttributes = "";
		$this->Numero_Autorizacion->EditValue = $this->Numero_Autorizacion->CurrentValue;
		$this->Numero_Autorizacion->PlaceHolder = ew_RemoveHtml($this->Numero_Autorizacion->FldCaption());

		// Causa_externa
		$this->Causa_externa->EditAttrs["class"] = "form-control";
		$this->Causa_externa->EditCustomAttributes = "";
		$this->Causa_externa->EditValue = $this->Causa_externa->CurrentValue;
		$this->Causa_externa->PlaceHolder = ew_RemoveHtml($this->Causa_externa->FldCaption());

		// Diagnostico_salida
		$this->Diagnostico_salida->EditAttrs["class"] = "form-control";
		$this->Diagnostico_salida->EditCustomAttributes = "";
		$this->Diagnostico_salida->EditValue = $this->Diagnostico_salida->CurrentValue;
		$this->Diagnostico_salida->PlaceHolder = ew_RemoveHtml($this->Diagnostico_salida->FldCaption());

		// Diagnostico_rel1
		$this->Diagnostico_rel1->EditAttrs["class"] = "form-control";
		$this->Diagnostico_rel1->EditCustomAttributes = "";
		$this->Diagnostico_rel1->EditValue = $this->Diagnostico_rel1->CurrentValue;
		$this->Diagnostico_rel1->PlaceHolder = ew_RemoveHtml($this->Diagnostico_rel1->FldCaption());

		// Diagnostico_rel2
		$this->Diagnostico_rel2->EditAttrs["class"] = "form-control";
		$this->Diagnostico_rel2->EditCustomAttributes = "";
		$this->Diagnostico_rel2->EditValue = $this->Diagnostico_rel2->CurrentValue;
		$this->Diagnostico_rel2->PlaceHolder = ew_RemoveHtml($this->Diagnostico_rel2->FldCaption());

		// Diagnostico_rel3
		$this->Diagnostico_rel3->EditAttrs["class"] = "form-control";
		$this->Diagnostico_rel3->EditCustomAttributes = "";
		$this->Diagnostico_rel3->EditValue = $this->Diagnostico_rel3->CurrentValue;
		$this->Diagnostico_rel3->PlaceHolder = ew_RemoveHtml($this->Diagnostico_rel3->FldCaption());

		// Destino_usuario
		$this->Destino_usuario->EditAttrs["class"] = "form-control";
		$this->Destino_usuario->EditCustomAttributes = "";
		$this->Destino_usuario->EditValue = $this->Destino_usuario->CurrentValue;
		$this->Destino_usuario->PlaceHolder = ew_RemoveHtml($this->Destino_usuario->FldCaption());

		// Estado_salida
		$this->Estado_salida->EditAttrs["class"] = "form-control";
		$this->Estado_salida->EditCustomAttributes = "";
		$this->Estado_salida->EditValue = $this->Estado_salida->CurrentValue;
		$this->Estado_salida->PlaceHolder = ew_RemoveHtml($this->Estado_salida->FldCaption());

		// Causa_basica_muerte
		$this->Causa_basica_muerte->EditAttrs["class"] = "form-control";
		$this->Causa_basica_muerte->EditCustomAttributes = "";
		$this->Causa_basica_muerte->EditValue = $this->Causa_basica_muerte->CurrentValue;
		$this->Causa_basica_muerte->PlaceHolder = ew_RemoveHtml($this->Causa_basica_muerte->FldCaption());

		// Fecha_salida_usuar
		$this->Fecha_salida_usuar->EditAttrs["class"] = "form-control";
		$this->Fecha_salida_usuar->EditCustomAttributes = "";
		$this->Fecha_salida_usuar->EditValue = $this->Fecha_salida_usuar->CurrentValue;
		$this->Fecha_salida_usuar->PlaceHolder = ew_RemoveHtml($this->Fecha_salida_usuar->FldCaption());

		// Hora_salida
		$this->Hora_salida->EditAttrs["class"] = "form-control";
		$this->Hora_salida->EditCustomAttributes = "";
		$this->Hora_salida->EditValue = $this->Hora_salida->CurrentValue;
		$this->Hora_salida->PlaceHolder = ew_RemoveHtml($this->Hora_salida->FldCaption());

		// Codigo_tres
		$this->Codigo_tres->EditAttrs["class"] = "form-control";
		$this->Codigo_tres->EditCustomAttributes = "";
		$this->Codigo_tres->EditValue = $this->Codigo_tres->CurrentValue;
		$this->Codigo_tres->PlaceHolder = ew_RemoveHtml($this->Codigo_tres->FldCaption());

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {

		// Call Row Rendered event
		$this->Row_Rendered();
	}
	var $ExportDoc;

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;
		if (!$Doc->ExportCustom) {

			// Write header
			$Doc->ExportTableHeader();
			if ($Doc->Horizontal) { // Horizontal format, write header
				$Doc->BeginExportRow();
				if ($ExportPageType == "view") {
					if ($this->Numero_Factura->Exportable) $Doc->ExportCaption($this->Numero_Factura);
					if ($this->Codigo_prestador->Exportable) $Doc->ExportCaption($this->Codigo_prestador);
					if ($this->Tipo_identificacion_us->Exportable) $Doc->ExportCaption($this->Tipo_identificacion_us);
					if ($this->Numero_identificacion_us->Exportable) $Doc->ExportCaption($this->Numero_identificacion_us);
					if ($this->Fecha_ingreso->Exportable) $Doc->ExportCaption($this->Fecha_ingreso);
					if ($this->Hora_ingreso->Exportable) $Doc->ExportCaption($this->Hora_ingreso);
					if ($this->Numero_Autorizacion->Exportable) $Doc->ExportCaption($this->Numero_Autorizacion);
					if ($this->Causa_externa->Exportable) $Doc->ExportCaption($this->Causa_externa);
					if ($this->Diagnostico_salida->Exportable) $Doc->ExportCaption($this->Diagnostico_salida);
					if ($this->Diagnostico_rel1->Exportable) $Doc->ExportCaption($this->Diagnostico_rel1);
					if ($this->Diagnostico_rel2->Exportable) $Doc->ExportCaption($this->Diagnostico_rel2);
					if ($this->Diagnostico_rel3->Exportable) $Doc->ExportCaption($this->Diagnostico_rel3);
					if ($this->Destino_usuario->Exportable) $Doc->ExportCaption($this->Destino_usuario);
					if ($this->Estado_salida->Exportable) $Doc->ExportCaption($this->Estado_salida);
					if ($this->Causa_basica_muerte->Exportable) $Doc->ExportCaption($this->Causa_basica_muerte);
					if ($this->Fecha_salida_usuar->Exportable) $Doc->ExportCaption($this->Fecha_salida_usuar);
					if ($this->Hora_salida->Exportable) $Doc->ExportCaption($this->Hora_salida);
					if ($this->Codigo_tres->Exportable) $Doc->ExportCaption($this->Codigo_tres);
				} else {
					if ($this->Numero_Factura->Exportable) $Doc->ExportCaption($this->Numero_Factura);
					if ($this->Codigo_prestador->Exportable) $Doc->ExportCaption($this->Codigo_prestador);
					if ($this->Tipo_identificacion_us->Exportable) $Doc->ExportCaption($this->Tipo_identificacion_us);
					if ($this->Numero_identificacion_us->Exportable) $Doc->ExportCaption($this->Numero_identificacion_us);
					if ($this->Fecha_ingreso->Exportable) $Doc->ExportCaption($this->Fecha_ingreso);
					if ($this->Hora_ingreso->Exportable) $Doc->ExportCaption($this->Hora_ingreso);
					if ($this->Numero_Autorizacion->Exportable) $Doc->ExportCaption($this->Numero_Autorizacion);
					if ($this->Causa_externa->Exportable) $Doc->ExportCaption($this->Causa_externa);
					if ($this->Diagnostico_salida->Exportable) $Doc->ExportCaption($this->Diagnostico_salida);
					if ($this->Diagnostico_rel1->Exportable) $Doc->ExportCaption($this->Diagnostico_rel1);
					if ($this->Diagnostico_rel2->Exportable) $Doc->ExportCaption($this->Diagnostico_rel2);
					if ($this->Diagnostico_rel3->Exportable) $Doc->ExportCaption($this->Diagnostico_rel3);
					if ($this->Destino_usuario->Exportable) $Doc->ExportCaption($this->Destino_usuario);
					if ($this->Estado_salida->Exportable) $Doc->ExportCaption($this->Estado_salida);
					if ($this->Causa_basica_muerte->Exportable) $Doc->ExportCaption($this->Causa_basica_muerte);
					if ($this->Fecha_salida_usuar->Exportable) $Doc->ExportCaption($this->Fecha_salida_usuar);
					if ($this->Hora_salida->Exportable) $Doc->ExportCaption($this->Hora_salida);
					if ($this->Codigo_tres->Exportable) $Doc->ExportCaption($this->Codigo_tres);
				}
				$Doc->EndExportRow();
			}
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				if (!$Doc->ExportCustom) {
					$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
					if ($ExportPageType == "view") {
						if ($this->Numero_Factura->Exportable) $Doc->ExportField($this->Numero_Factura);
						if ($this->Codigo_prestador->Exportable) $Doc->ExportField($this->Codigo_prestador);
						if ($this->Tipo_identificacion_us->Exportable) $Doc->ExportField($this->Tipo_identificacion_us);
						if ($this->Numero_identificacion_us->Exportable) $Doc->ExportField($this->Numero_identificacion_us);
						if ($this->Fecha_ingreso->Exportable) $Doc->ExportField($this->Fecha_ingreso);
						if ($this->Hora_ingreso->Exportable) $Doc->ExportField($this->Hora_ingreso);
						if ($this->Numero_Autorizacion->Exportable) $Doc->ExportField($this->Numero_Autorizacion);
						if ($this->Causa_externa->Exportable) $Doc->ExportField($this->Causa_externa);
						if ($this->Diagnostico_salida->Exportable) $Doc->ExportField($this->Diagnostico_salida);
						if ($this->Diagnostico_rel1->Exportable) $Doc->ExportField($this->Diagnostico_rel1);
						if ($this->Diagnostico_rel2->Exportable) $Doc->ExportField($this->Diagnostico_rel2);
						if ($this->Diagnostico_rel3->Exportable) $Doc->ExportField($this->Diagnostico_rel3);
						if ($this->Destino_usuario->Exportable) $Doc->ExportField($this->Destino_usuario);
						if ($this->Estado_salida->Exportable) $Doc->ExportField($this->Estado_salida);
						if ($this->Causa_basica_muerte->Exportable) $Doc->ExportField($this->Causa_basica_muerte);
						if ($this->Fecha_salida_usuar->Exportable) $Doc->ExportField($this->Fecha_salida_usuar);
						if ($this->Hora_salida->Exportable) $Doc->ExportField($this->Hora_salida);
						if ($this->Codigo_tres->Exportable) $Doc->ExportField($this->Codigo_tres);
					} else {
						if ($this->Numero_Factura->Exportable) $Doc->ExportField($this->Numero_Factura);
						if ($this->Codigo_prestador->Exportable) $Doc->ExportField($this->Codigo_prestador);
						if ($this->Tipo_identificacion_us->Exportable) $Doc->ExportField($this->Tipo_identificacion_us);
						if ($this->Numero_identificacion_us->Exportable) $Doc->ExportField($this->Numero_identificacion_us);
						if ($this->Fecha_ingreso->Exportable) $Doc->ExportField($this->Fecha_ingreso);
						if ($this->Hora_ingreso->Exportable) $Doc->ExportField($this->Hora_ingreso);
						if ($this->Numero_Autorizacion->Exportable) $Doc->ExportField($this->Numero_Autorizacion);
						if ($this->Causa_externa->Exportable) $Doc->ExportField($this->Causa_externa);
						if ($this->Diagnostico_salida->Exportable) $Doc->ExportField($this->Diagnostico_salida);
						if ($this->Diagnostico_rel1->Exportable) $Doc->ExportField($this->Diagnostico_rel1);
						if ($this->Diagnostico_rel2->Exportable) $Doc->ExportField($this->Diagnostico_rel2);
						if ($this->Diagnostico_rel3->Exportable) $Doc->ExportField($this->Diagnostico_rel3);
						if ($this->Destino_usuario->Exportable) $Doc->ExportField($this->Destino_usuario);
						if ($this->Estado_salida->Exportable) $Doc->ExportField($this->Estado_salida);
						if ($this->Causa_basica_muerte->Exportable) $Doc->ExportField($this->Causa_basica_muerte);
						if ($this->Fecha_salida_usuar->Exportable) $Doc->ExportField($this->Fecha_salida_usuar);
						if ($this->Hora_salida->Exportable) $Doc->ExportField($this->Hora_salida);
						if ($this->Codigo_tres->Exportable) $Doc->ExportField($this->Codigo_tres);
					}
					$Doc->EndExportRow();
				}
			}

			// Call Row Export server event
			if ($Doc->ExportCustom)
				$this->Row_Export($Recordset->fields);
			$Recordset->MoveNext();
		}
		if (!$Doc->ExportCustom) {
			$Doc->ExportTableFooter();
		}
	}

	// Get auto fill value
	function GetAutoFill($id, $val) {
		$rsarr = array();
		$rowcnt = 0;

		// Output
		if (is_array($rsarr) && $rowcnt > 0) {
			$fldcnt = count($rsarr[0]);
			for ($i = 0; $i < $rowcnt; $i++) {
				for ($j = 0; $j < $fldcnt; $j++) {
					$str = strval($rsarr[$i][$j]);
					$str = ew_ConvertToUtf8($str);
					if (isset($post["keepCRLF"])) {
						$str = str_replace(array("\r", "\n"), array("\\r", "\\n"), $str);
					} else {
						$str = str_replace(array("\r", "\n"), array(" ", " "), $str);
					}
					$rsarr[$i][$j] = $str;
				}
			}
			return ew_ArrayToJson($rsarr);
		} else {
			return FALSE;
		}
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Grid Inserting event
	function Grid_Inserting() {

		// Enter your code here
		// To reject grid insert, set return value to FALSE

		return TRUE;
	}

	// Grid Inserted event
	function Grid_Inserted($rsnew) {

		//echo "Grid Inserted";
	}

	// Grid Updating event
	function Grid_Updating($rsold) {

		// Enter your code here
		// To reject grid update, set return value to FALSE

		return TRUE;
	}

	// Grid Updated event
	function Grid_Updated($rsold, $rsnew) {

		//echo "Grid Updated";
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Lookup Selecting event
	function Lookup_Selecting($fld, &$filter) {

		//var_dump($fld->FldName, $fld->LookupFilters, $filter); // Uncomment to view the filter
		// Enter your code here

	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
